package com.zhangmeng.online.exam.ui.module;

/**
 * @author zm
 * @date 2025/4/1 12:12
 * @version: 1.0
 */
public class SubjectType {

    /**
     *  map.put("index", subject.getId());
     *             map.put("name", subject.getName());
     *             map.put("code", subject.getCode());
     *             map.put("desc",subject.getDescription());
     *             map.put("profession",subject.getProfession().getName());
     */

    private Long id;
    private String name;
    private String code;
    private String desc;
    private String profession;

    public SubjectType() {
    }

    public SubjectType(Long id, String name, String code, String desc, String profession) {
        this.id = id;
        this.name = name;
        this.code = code;
        this.desc = desc;
        this.profession = profession;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }
}
